#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int main()
{
    char S[2], T[5000];
    int N,M, x=0;
    gets(T);
    gets(S);
    N=strlen(T);
    M=strlen(S);
    for(int i=0; i<N; i++)
         {
             if(M==1)
             {
                 if(T[i]==S[0])
                {
                    x++;
                    T[i]='*';
                }
             }
             else
                {
                    if(T[i]==S[0] && T[i+1]==S[1])
                {
                    x++;
                    T[i]='*';
                }
                }
         }
    printf("%d\n",x);
    printf("%s",T);
    return 0;
}